Bug 1055366 - Review Request: snapraid - Disk array backup for many large rarely-changed files
Summary: Review Request: snapraid - Disk array backup for many large rarely-changed files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 06:06 UTC by Eric Smith
Modified: 2014-09-24 03:49 UTC (History)
2 users (show)

Fixed In Version: snapraid-6.3-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-26 23:56:21 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eric Smith 2014-01-20 06:06:35 UTC
Spec URL: http://fedorapeople.org/~brouhaha/snapraid/snapraid.spec
SRPM URL: http://fedorapeople.org/~brouhaha/snapraid/snapraid-5.2-1.fc19.src.rpm
Description:
SnapRAID is a backup program for disk arrays. It stores parity
information of your data and it's able to recover from up to six disk
failures. SnapRAID is mainly targeted for a home media center, with a
lot of big files that rarely change.
Fedora Account System Username: brouhaha

Comment 1 Christopher Meng 2014-01-20 06:25:07 UTC
Swap with something later ;)

Comment 2 Christopher Meng 2014-01-23 08:45:42 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "LGPL (v2 or later) (with incorrect FSF address)". 4 files
     have unknown license. Detailed output of licensecheck:

BSD (2 clause)
--------------
snapraid-5.2/tommyarray.c
snapraid-5.2/tommyarray.h
snapraid-5.2/tommyarrayblk.c
snapraid-5.2/tommyarrayblk.h
snapraid-5.2/tommyarrayblkof.c
snapraid-5.2/tommyarrayblkof.h
snapraid-5.2/tommychain.h
snapraid-5.2/tommyhash.c
snapraid-5.2/tommyhash.h
snapraid-5.2/tommyhashdyn.c
snapraid-5.2/tommyhashdyn.h
snapraid-5.2/tommylist.c
snapraid-5.2/tommylist.h
snapraid-5.2/tommytypes.h

GPL (v2 or later)
-----------------
snapraid-5.2/cpu.h
snapraid-5.2/mktables.c
snapraid-5.2/raid.c
snapraid-5.2/raid.h
snapraid-5.2/tables.h

GPL (v3 or later)
-----------------
snapraid-5.2/check.c
snapraid-5.2/combo.h
snapraid-5.2/dry.c
snapraid-5.2/dup.c
snapraid-5.2/elem.c
snapraid-5.2/elem.h
snapraid-5.2/handle.c
snapraid-5.2/handle.h
snapraid-5.2/import.c
snapraid-5.2/import.h
snapraid-5.2/list.c
snapraid-5.2/mingw.c
snapraid-5.2/mingw.h
snapraid-5.2/mktest.c
snapraid-5.2/murmur3.c
snapraid-5.2/parity.c
snapraid-5.2/parity.h
snapraid-5.2/pool.c
snapraid-5.2/portable.h
snapraid-5.2/rehash.c
snapraid-5.2/scan.c
snapraid-5.2/scrub.c
snapraid-5.2/selftest.c
snapraid-5.2/snapraid.c
snapraid-5.2/snapraid.h
snapraid-5.2/speed.c
snapraid-5.2/spooky2.c
snapraid-5.2/state.c
snapraid-5.2/state.h
snapraid-5.2/status.c
snapraid-5.2/sync.c
snapraid-5.2/tommy.c
snapraid-5.2/unix.c
snapraid-5.2/unix.h
snapraid-5.2/util.c
snapraid-5.2/util.h

LGPL (v2 or later) (with incorrect FSF address)
-----------------------------------------------
snapraid-5.2/fnmatch.c
snapraid-5.2/fnmatch.h

Unknown or generated
--------------------
snapraid-5.2/autogen.sh
snapraid-5.2/murmur3test.c
snapraid-5.2/noautomake.sh
snapraid-5.2/spooky2test.c

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: snapraid-5.2-1.fc21.i686.rpm
          snapraid-5.2-1.fc21.src.rpm
snapraid.i686: W: invalid-url URL: http://snapraid.sourceforge.net/ <urlopen error timed out>
snapraid.src: W: invalid-url URL: http://snapraid.sourceforge.net/ <urlopen error timed out>
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint snapraid
snapraid.i686: W: invalid-url URL: http://snapraid.sourceforge.net/ <urlopen error timed out>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
snapraid (rpmlib, GLIBC filtered):
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgcc_s.so.1(GCC_3.3.1)
    rtld(GNU_HASH)



Provides
--------
snapraid:
    snapraid
    snapraid(x86-32)



Source checksums
----------------
http://downloads.sourceforge.net/snapraid/snapraid-5.2.tar.gz :
  CHECKSUM(SHA256) this package     : eab07c21201eceb4204f8039f021ff0032515719aa5e640c330da45dd8b8e7a3
  CHECKSUM(SHA256) upstream package : eab07c21201eceb4204f8039f021ff0032515719aa5e640c330da45dd8b8e7a3


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn snapraid-5.2-1.fc19.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------

I found some BSD code in the sources, awaiting your explanation.

Others are fine.

Comment 4 Christopher Meng 2014-04-20 04:40:06 UTC
Although tommyds and snapraid shares the same upstream, I still consider that these BSD are bundled code.

You'd better package tommyds and use the system one to replace them.

Comment 6 Eric Smith 2014-04-21 22:58:10 UTC
Andrea Mazzoleni, author of both TommyDS and SnapRAID, has requested that TommyDS not be built as a shared library.  I've opened FPC ticket #423 requesting a "copylib" bundling exception.

Comment 7 Christopher Meng 2014-05-17 05:14:17 UTC
PACKAGE APPROVED.

Comment 8 Eric Smith 2014-05-17 05:17:11 UTC
FPC approved the SnapRAID/TommyDS bundling exception (FPC ticket #423) at their 2014-05-15 meeting.  Should any of the conditions that led to the bundling exception request change, I will contact FPC.

The spec and SRPM are updated to be equivalent to the 6.1-1 package previously reviewed, except that the bundling exception is noted in the changelog.

Spec URL: http://fedorapeople.org/~brouhaha/snapraid/snapraid.spec
SRPM URL: http://fedorapeople.org/~brouhaha/snapraid/snapraid-6.1-3.fc20.src.rpm

Comment 9 Eric Smith 2014-05-17 05:21:19 UTC
New Package SCM Request
=======================
Package Name: snapraid
Short Description: Disk array backup for many large rarely-changed files
Upstream URL: http://snapraid.sourceforge.net/
Owners: brouhaha
Branches: f19 f20 el6 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-05-17 13:51:42 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-05-18 01:40:17 UTC
snapraid-6.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/snapraid-6.1-3.fc20

Comment 12 Fedora Update System 2014-05-18 01:46:41 UTC
snapraid-6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/snapraid-6.1-3.fc19

Comment 13 Fedora Update System 2014-05-18 01:53:03 UTC
snapraid-6.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/snapraid-6.1-3.el6

Comment 14 Fedora Update System 2014-05-18 16:59:25 UTC
snapraid-6.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 15 Fedora Update System 2014-05-26 23:56:21 UTC
snapraid-6.1-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2014-05-26 23:58:37 UTC
snapraid-6.1-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2014-06-02 17:31:21 UTC
snapraid-6.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2014-08-30 23:11:45 UTC
snapraid-6.3-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/snapraid-6.3-2.el7

Comment 19 Fedora Update System 2014-09-24 03:49:49 UTC
snapraid-6.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.